export interface LoginRequestData {
  username: string;
  /** 密码 */
  password: string;
}

export interface phoneLoginRequestData {
  //手机号
  phone: string;
  //手机验证码
  mobileCode: string;
}

export interface forgetRequestData {
  /** 密码 */
  password: string;
  //确认密码
  confirmPassword: string;
  //手机号
  phone: string;
  //手机验证码
  mobileCode: string;
}

export type CaptchaResponseData = ApiResponseData<string>;

export type LoginResponseData = ApiResponseData<{ token: string }>;
